Bug 1414085 - change versioning schema for rhevm-appliance
Summary: change versioning schema for rhevm-appliance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-appliance
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ovirt-4.1.0-rc
: ---
Assignee: Ryan Barry
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 17:18 UTC by Sandro Bonazzola
Modified: 2017-04-25 01:12 UTC (History)
4 users (show)

Fixed In Version: rhvm-appliance-4.1.20170120.1-1.el7ev.
Doc Type: Release Note
Doc Text:
Previously the name of the “rhevm-appliance” RPM contained only a timestamp, without versioning information. In this release, the Red Hat Virtualization release will now be included in the name of the “rhevm-appliance” RPM and will be visible from the node channel.
Clone Of:
Environment:
Last Closed:
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1066 0 normal SHIPPED_LIVE rhvm-appliance bug fix and enhancement update for RHV 4.1 2017-04-18 21:03:07 UTC

Description Sandro Bonazzola 2017-01-17 17:18:22 UTC
Description of problem:
Currently all the appliance builds from 3.6, 4.0, 4.1 are versionedusing timestamp.
So an upgrade from 20161211 to 20170117 may result in a downgrade to 3.6.
Previously it wasn't an issue since we didn't put the appliance in the node channel but now we need proper versioning.

We need to bump epoch and start numbering with <version>.<timestamp> or equivalent.

Comment 1 Fabian Deutsch 2017-01-17 17:26:00 UTC
I'd suggest to use the naming scheme of the rhvh next image - or wrapper rpm

Comment 2 Gonza 2017-02-02 15:42:38 UTC
Verified with:
rhvm-appliance-4.1.20170126.0-1.el7ev.noarch.rpm

Comment 3 Gonza 2017-03-01 09:14:13 UTC
Verified also with:
rhevm-appliance-4.0.20170227.0-1.el7ev.noarch.rpm


Note You need to log in before you can comment on or make changes to this bug.